Export individual assets

GET https://{controlplane_path}/api/1/rest/public/project/export/assets      

Overview

This API exports individual assets within the same project, accounts, pipelines, tasks, and files.

Prerequisites

  • Environment admin (Org admin) permissions

Request

   GET https://{controlplane_path}/api/1/rest/public/project/export/assets?{query_parameters}

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com

Query parameters

Key Type Description
asset_paths array Required.The path to the SnapLogic asset.

Format: /{env_org}/{project_space}/{project_name}/{asset_name}

Important:
  • The path comparison is case-senstitive.
  • Separate the asset_paths with a comma for including more than one asset.
Note: The query parameter can be used in combination.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

A ZIP file containing the asset files is downloaded.